config <- yaml::read_yaml(here::here("config.yaml"))

# Produce the simulation parameters for all simulations

# Currently this has exactly the parameters required by {splatter}.
sim_pars <- list(
  sim_1 = list(num_rep = 1,
               de.facLoc = 2,
               group.prob = rep(1 / 5, 5),
               batchCells = 1000,
               seed = 10),
  sim_2 = list(num_rep = 1,
               de.facLoc = 3,
               group.prob = rep(1 / 5, 5),
               batchCells = 1000,
               seed = 10)
)

# Write out the simulation ids to a (json) file.
sim_ids <- names(sim_pars)
write(jsonlite::toJSON(sim_ids), config$sim_ids_path)

# Construct the paths of the simulation ids.
sim_paths <- here::here(config$sim_pars_folder, sim_ids)
sim_paths <- paste0(sim_paths, ".json")
names(sim_paths) <- sim_ids

# Write all the parameters of each simulation to file.
for (id in sim_ids) {
  write(jsonlite::toJSON(sim_pars[[id]], null = "null"), sim_paths[[id]])
}
